Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var APP_FORM_URL = 'https://form-builder.io';
var FormBuilderForm = function (props) {
    var formRef = React.useRef(null);
    React.useEffect(function () {
        var submitHandler = function (event) {
            if (event.data && typeof event.data === 'string' && props.onSubmit) {
                var data = JSON.parse(event.data);
                props.onSubmit(data);
            }
        };
        window.addEventListener('message', submitHandler);
        return function () { return window.removeEventListener('message', submitHandler); };
    }, []);
    return (React__default['default'].createElement("iframe", { style: { width: '100%', height: '100%' }, ref: formRef, "data-testid": "formbuilder-form", onLoad: function () {
            if (formRef && formRef.current) {
                formRef.current.contentWindow.postMessage(JSON.stringify({
                    values: props.initialValues,
                    disableFields: props.disableFields,
                    handleSubmit: !!props.onSubmit,
                    hideSubmit: props.hideSubmit,
                }), '*');
            }
            else {
                console.error('Unable to Post Config to FormBuilder Form.');
            }
        }, src: APP_FORM_URL + "/f/" + props.id }));
};

exports.default = FormBuilderForm;
//# sourceMappingURL=index.js.map
